Subject: Re: linux-next: build failure after merge of the regulator tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 14 Apr 2015 11:22:41 +1000

Hi Bjorn,

On Mon, 13 Apr 2015 18:07:06 -0700 Bjorn Andersson <[email-masked]> wrote:
>
> What Mark mean is basically that there shouldn't be any users of
> regulator_set_optimum_mode() for various reasons and we introduced
> regulator_set_load() to solve these, before any users popped up.
> 
> Unfortunately we weren't fast enough and people got some code in that
> uses the API that isn't implemented for any Qualcomm platform today...

Ah, OK.

> Your patch looks correct and should preferrably be added to the drm
> tree, or the last patch in my series that drops the API wrapper should
> be held back until rc1(?)

It needs to be sent to Linus as a merge fix when the drm tree is merged.

-- 
Cheers,
Stephen Rothwell                    [email-masked]